/**************************************************************************
*   Copyright (C) 2006 - 2008 by Martin Mueller                           *
*   orvio@orvio.de                                                        *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************/
#ifndef BLOKKALAPPLICATION_H
#define BLOKKALAPPLICATION_H

#include <kuniqueapplication.h>

class BlokkalMainWindow;
class BlokkalActionDispatcher;

/**
 * @short Class for a blokkal application.
 *
 * Class for a blokkal application.
 *	@author Martin Mller <orvio@orvio.de>
 */
class BlokkalApplication : public KUniqueApplication {
Q_OBJECT
public:
	/**
	 * Creates a new BlokkalApplication object.
	 */
	BlokkalApplication( void );
	~BlokkalApplication( void );

	/**
	 * This method is used to create an "new instance"
	 */
	virtual int newInstance( void );

	/**
	 * Returns a pointer to the application object.
	 * @return a pointer to the BlokkalApplication object
	 */
	static BlokkalApplication * self( void );

	/**
	 * Returns a pointer to the main window
	 * @return the main window
	 */
	BlokkalMainWindow * mainWindow( void ) const;

	/**
	 * @return the action dispatcher
	 */
	BlokkalActionDispatcher * actionDispatcher( void ) const;

	/**
	 * Overridden to set the shuttingDown flag
	 */
	virtual void commitData( QSessionManager & manager );

	bool isShuttingDown( void ) const;
	
public Q_SLOTS:
	void quitBlokkal( void );

private Q_SLOTS:
	void applyConfigurationChanges( void );

private:
	class Private;
	Private * const d;
};

#endif
