/***************************************************************************
 *   Copyright (C) 2007 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKALBLOGVIEW_H
#define BLOKKALBLOGVIEW_H

#include <blokkalui/checkboxview.h>

class KActionCollection;

/**
 * @short A TreeView that works with a BlogDelegate
 *
 * Together with a BlogModel or a BlogCategegoryModel this view
 * displays the tree structure of accounts, blogs
 * and ( with a BlogCategegoryModel) categories.
 * Blogs and Categories may be checkable, depending on the display options
 * set in the constructor. You must set the desired view model to make
 * this view work.
 */
class BlogView : public Blokkal::Ui::BlogView
{
Q_OBJECT
public:
	/**
	 * Constructor
	 * @param parent parent widget
	 */
	BlogView( QWidget * parent = 0, unsigned int displayOptions = 0 );
	~BlogView( void );

	void saveTreeState( void );
	void restoreTreeState( void );
protected:
	/**
	 * Overridden to show the context menus of accounts and blogs
	 */
	virtual void contextMenuEvent( QContextMenuEvent * event );

private Q_SLOTS:
	virtual void slotActivated( const QModelIndex & index );
	virtual void resort( void );

private:
	class Private;
	Private * const d;
};

#endif
