/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKALSYSTEMTRAY_H
#define BLOKKALSYSTEMTRAY_H

#include <ksystemtrayicon.h>

class KMenu;
class QAction;

namespace Blokkal {
class Account;
}

/**
 * @short The Blokkal system tray.
 *
 * The Blokkal system tray.
 * @author Martin Mueller <orvio@orvio.de>
*/
class BlokkalSystemTray : public KSystemTrayIcon
{
Q_OBJECT
public:
	/**
	 * Creates a new BlokkalSystemTray.
	 * @param parent the parent widget
	 */
	BlokkalSystemTray( QWidget * parent = 0 );
	~BlokkalSystemTray( void );

private Q_SLOTS:
	void handleNewAccount( Blokkal::Account * account );
	void reevaluateAccountStatus( void );
	void updateMenu( void );
	void saveHoverAction( QAction * action );
	void configureDynamicMenues( void );

	void restoreActionTargets( void );
	void restoreActionTargetsInner( void );

private:
	class Private;
	Private * const d;
};

#endif
