/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef APPEARANCECONFIG_H
#define APPEARANCECONFIG_H

#include <kcmodule.h>
#include <qgroupbox.h>

class AppearanceConfig : public KCModule
{
Q_OBJECT
public:
	/**
	 * Constructor
	 */
	AppearanceConfig( QWidget * parent, const QVariantList & args );

	virtual ~AppearanceConfig( void );

	virtual void save();
	virtual void load();

private slots:
	void emitChanged( void );

private:
	class Private;
	Private * const d;

};

class HighlightingSetupWidget: public QGroupBox
{
Q_OBJECT
public:
	/**
	 * Constructor
	 */
	HighlightingSetupWidget( const QString & title, QWidget * parent );
	virtual ~HighlightingSetupWidget( void );

	bool bold( void ) const;
	void setBold( bool bold );

	bool italic( void ) const;
	void setItalic( bool italic );

	QColor color( void ) const;
	void setColor( const QColor & color );

signals:
	void valuesChanged( void );

private slots:
	void emitValuesChanged( void );
	
private:
	class Private;
	Private * const d;
		
};
#endif
