/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ENTRYQUEUEQUEUEMANAGER_H
#define ENTRYQUEUEQUEUEMANAGER_H

#include <qwidget.h>

namespace EntryQueue {

/**
 * @short A widget for manipulating the entry queue.
 *
 * A widget for manipulating the entry queue.
 * @author Martin Mueller <orvio@orvio.de>
 */
class QueueManager : public QWidget
{
Q_OBJECT
public:
	/**
	 * Creates a new QueueManager.
	 * @param parent parent widget
	 */
	QueueManager( QWidget * parent = 0 );
	~QueueManager( void );

public slots:
	/**
	 * Opens the currently selected entry (if any)
	 */
	void openSelectedEntry( void );

	/**
	 * Deletes the currently selected entry (if any)
	 */
	void deleteSelectedEntry( void );

	/**
	 * Resets the status of the currently selected entry (if any)
	 */
	void resetSelectedEntry( void );

protected slots:
	/**
	 * This slot is called when the selection changes
	 */
	void slotSelectionChanged( void );

private:
	class Private;
	Private * d;

};

}

#endif
