/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef ENTRYQUEUEQUEUESTATUSMONITOR_H
#define ENTRYQUEUEQUEUESTATUSMONITOR_H

#include <QtGui/QWidget>

class QToolButton;

namespace Blokkal {
class Entry;
}

namespace EntryQueue {

/**
 * @short Monitors the entry queue status
 *
 * This is a small widget that fits into a status bar and displays basic
 * information about the entry queue. It also contains a QToolButton.
 * @author Martin Mueller <orvio@orvio.de>
*/
class QueueStatusMonitor : public QWidget
{
Q_OBJECT
public:
	/**
	 * Creates a new QueueStatusMonitor.
	 * @param parent parent widget
	 */
	QueueStatusMonitor( QWidget * parent = 0 );
	virtual ~QueueStatusMonitor( void );

	/**
	 * Returns the button.
	 * @return the button
	 */
	QToolButton * button( void ) const;

private slots:
	void slotQueueStatusChanged( void );
	void slotEntryFailing( Blokkal::Entry * entry );
	void slotEntryPosted( Blokkal::Entry * entry );

	void performButtonAction( void );

private:
	class Private;
	Private * d;
};

}

#endif
