/***************************************************************************
 *   Copyright (C) 2006 - 2009 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "blokkalapplication.h"

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kdebug.h>

#include <config.h>

int main(int argc, char **argv)
{
	KAboutData about( "blokkal",0,ki18n("Blokkal"),
	                  VERSION,
	                  ki18n("A KDE Blogging Client"),
	                  KAboutData::License_GPL,
	                  ki18n("(C) 2006 - 2009 Martin Mueller"),
	                  KLocalizedString(), //some text
	                   "http://blokkal.sourceforge.net", //homepage
	                   "orvio@orvio.de");
	about.addAuthor( ki18n("Martin Mueller")/*, 0, "orvio@orvio.de"*/ );
	
	KCmdLineArgs::init(argc, argv, &about);
	
	KCmdLineOptions options;
	options.add( "+[file]", ki18n( "Blog entry file to open" ) );
	KCmdLineArgs::addCmdLineOptions( options );
	KUniqueApplication::addCmdLineOptions();

	BlokkalApplication blokkal;

	if( blokkal.isSessionRestored() ) {
		if( blokkal.sessionConfig() ) {
//			kDebug() << "session config name " << blokkal.sessionConfig()->name() << endl;
		}
	}
	return blokkal.exec();
}

