/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKALBLOKKALACCOUNTCONFIG_H
#define BLOKKALBLOKKALACCOUNTCONFIG_H

#include "blokkalconfigbase.h"
#include "blokkal_export.h"

namespace Blokkal {
class Protocol;
/**
 * @short Class for accessing the configuration of an account.
 *
 * Class for accessing the configuration of an account.
 * @author Martin Mller <orvio@orvio.de>
 */
class BLOKKAL_EXPORT AccountConfig : public Blokkal::ConfigBase
{
public:
	/**
	 * Creates a new AccountConfig object.
	 * @param id the id of the account configured by this object
	 * @param protocol the parent protocol
	 */
	AccountConfig( const QString & id, Blokkal::Protocol * protocol );

	/**
	 * Destrcutor
	 */
	virtual ~AccountConfig( void );

	/**
	 * Returns the id of the account this config is for
	 * @return the associated account's id
	 */
	QString id( void );

private:
	class Private;
	Private * d;
	friend class AccountManager;
	friend class Account;
};
}

#endif
