/***************************************************************************
 *   Copyright (C) 2008 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "blokkalactiontargetrelay.h"
#include "blokkalactiontargetrelay.moc"

#include <kglobal.h>

class Blokkal::ActionTargetRelayPrivate {
public:
	ActionTargetRelayPrivate( void ) :
	currentAccount( 0 ),
	currentBlog( 0 ){}

	ActionTargetRelay instance;

	Account * currentAccount;
	Blog * currentBlog;
};

K_GLOBAL_STATIC( Blokkal::ActionTargetRelayPrivate, _batrp );

Blokkal::ActionTargetRelay::ActionTargetRelay( void ):
QObject( 0 )
{
	setObjectName( "ActionTargetRelay" );
}

Blokkal::ActionTargetRelay::~ActionTargetRelay( void )
{}

Blokkal::ActionTargetRelay * Blokkal::ActionTargetRelay::self( void )
{
	return &_batrp->instance;
}

Blokkal::Account * Blokkal::ActionTargetRelay::currentAccount( void )
{
	return _batrp->currentAccount;
}

Blokkal::Blog * Blokkal::ActionTargetRelay::currentBlog( void )
{
	return _batrp->currentBlog;
}

void Blokkal::ActionTargetRelay::setCurrentAccount( Blokkal::Account * account )
{
	if(_batrp->currentAccount == account ) {
		return;
	}
	
	_batrp->currentAccount = account;
	emit self()->currentAccountChanged( account );
	emit self()->currentAccountChanged( account != 0 );
}

void Blokkal::ActionTargetRelay::setCurrentBlog( Blokkal::Blog * blog )
{
	if( _batrp->currentBlog == blog ) {
		return;
	}
	
	_batrp->currentBlog = blog;
	emit self()->currentBlogChanged( blog );
	emit self()->currentBlogChanged( blog != 0 );
}
