/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "blokkalblogconfig.h"
#include "blokkalaccount.h"

#include <QDomElement>

class Blokkal::BlogConfig::Private {
public:
	Private( void ) {}
};

Blokkal::BlogConfig::BlogConfig( const QString & id, Blokkal::Account * account ) :
ConfigBase( account->blogNode( id ) ),
d( new Private() )
{
}

Blokkal::BlogConfig::~BlogConfig( void )
{
	delete d;
}

QString Blokkal::BlogConfig::id( void ) const
{
	if( node().hasAttribute( "id" ) ) {
		return node().attribute( "id" );
	}
	
	return node().attribute( "name" );
}

void Blokkal::BlogConfig::setTitle( const QString & title )
{
	node().setAttribute( "title", title );
}

QString Blokkal::BlogConfig::title( void ) const
{
	return node().attribute( "title" );
}
