/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKALBLOKKALBLOGCONFIG_H
#define BLOKKALBLOKKALBLOGCONFIG_H

#include "blokkalconfigbase.h"
#include "blokkal_export.h"

namespace Blokkal {
class Account;
/**
 * @short Class for accessing the configuration of a blog.
 *
 * Class for accessing the configuration of a blog.
 * @author Martin Mller <orvio@orvio.de>
 */
class BLOKKAL_EXPORT BlogConfig : public Blokkal::ConfigBase
{
public:
	/**
	 * Creates a new BlogConfig object.
	 * @param blogName the name of the blog configured by this object
	 * @param account the parent protocol
	 */
	BlogConfig( const QString & blogName, Blokkal::Account * account );

	/**
	 * Destrcutor
	 */
	virtual ~BlogConfig( void );

	/**
	 * Returns the id of the blog this config is for
	 * @return the associated blog's name
	 */
	QString id( void ) const;

	/**
	 * Returns the title of this blog.
	 * @return the title of this blog
	 */
	QString title( void ) const;

	/**
	 * Sets the title attribute.
	 * @param title the new title
	 */
	void setTitle( const QString & title );

private:
	class Private;
	Private * d;
	friend class Account;

};

}

#endif
