/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "blokkalplugin.h"
#include "blokkalplugin.moc"

#include "blokkalpluginmanager.h"

#include <kicon.h>

Blokkal::Plugin::Plugin( const KComponentData & instance, QObject * parent ):
QObject( parent ),
KXMLGUIClient()
{
	setComponentData( instance );
}

Blokkal::Plugin::~Plugin( void )
{}

QString Blokkal::Plugin::pluginName( void ) const
{
	return pluginInfo().pluginName();
}

KPluginInfo Blokkal::Plugin::pluginInfo( void ) const
{
	return PluginManager::self()->pluginInfo( this );
}

KIcon Blokkal::Plugin::icon( void ) const
{
	return KIcon( pluginInfo().icon() );
}

QString Blokkal::Plugin::visibleName( void ) const
{
	return pluginInfo().name();
}

void Blokkal::Plugin::prepareToUnload( void )
{
	emit readyToUnload( this );
}
