/***************************************************************************
 *   Copyright (C) 2009 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "blokkalrsdconfigurationdata.h" 

class Blokkal::RsdConfigurationData::Private {
public:
	Private( const QString & apiName,
	         const QString & apiLink, 
	         const QString & homePageLink,
	         const QString & engineName,
	         const QString & engineLink,
	         bool isPreferred ):
	apiName( apiName ),
	apiLink( apiLink ),
	homePageLink( homePageLink ),
	engineName( engineName ),
	engineLink( engineLink ),
	isPreferred( isPreferred ) {}
	
	const QString apiName;
	const QString apiLink;
	const QString homePageLink;
	const QString engineName;
	const QString engineLink;
	const bool isPreferred;
};

Blokkal::RsdConfigurationData::RsdConfigurationData( const QString & apiName,
	                                             const QString & apiLink, 
	                                             const QString & homePageLink,
	                                             const QString & engineName,
	                                             const QString & engineLink,
	                                             bool isPreferred ):
d( new Private( apiName,
                apiLink,
                homePageLink,
                engineName,
                engineLink,
                isPreferred ) )
{
}

Blokkal::RsdConfigurationData::~RsdConfigurationData( void )
{
	delete d;
}

QString Blokkal::RsdConfigurationData::apiName(void ) const
{
	return d->apiName;
}

QString Blokkal::RsdConfigurationData::apiLink(void ) const
{
	return d->apiLink;
}

QString Blokkal::RsdConfigurationData::homePageLink(void ) const
{
	return d->homePageLink;
}

QString Blokkal::RsdConfigurationData::engineName(void ) const
{
	return d->engineName;
}

QString Blokkal::RsdConfigurationData::engineLink(void ) const
{
	return d->engineName;
}

bool Blokkal::RsdConfigurationData::isPreferred(void ) const
{
	return d->isPreferred;
}

