/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "browseentryviewfactory.h"
#include "browseentryviewfactory.moc"

Blokkal::Ui::BrowseEntryViewFactory::BrowseEntryViewFactory( const KComponentData & instance, QObject * parent ) :
Plugin( instance, parent )
{
}

Blokkal::Ui::BrowseEntryViewFactory::~BrowseEntryViewFactory( void )
{}


class Blokkal::Ui::BrowseEntryDialog::Private {
public:
	Private( void ) :
	mode( Blokkal::Io::BlogBrowsingDriver::BrowseEdit ) {}

	Blokkal::Io::BlogBrowsingDriver::BrowseMode mode;
};

Blokkal::Ui::BrowseEntryDialog::BrowseEntryDialog( QWidget * parent, Qt::WFlags flags ):
KDialog( parent, flags ),
d( new Private() )
{
}

Blokkal::Ui::BrowseEntryDialog::~BrowseEntryDialog( void )
{
	delete d;
}

void Blokkal::Ui::BrowseEntryDialog::setMode( Blokkal::Io::BlogBrowsingDriver::BrowseMode mode )
{
	d->mode = mode;
	applyViewMode();
}

Blokkal::Io::BlogBrowsingDriver::BrowseMode Blokkal::Ui::BrowseEntryDialog::mode( void ) const
{
	return d->mode;
}

void Blokkal::Ui::BrowseEntryDialog::applyViewMode( void )
{
}
