/***************************************************************************
 *   Copyright (C) 2008 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "browseoptionwidget.h"
#include "browseoptionwidget.moc"

#include <kdialog.h>

#include <QLayout>

class Blokkal::Ui::BrowseOptionWidget::Private {
public:
	Private( Blokkal::Io::BlogBrowsingDriver * driver ):
	driver( driver ) {}

	Blokkal::Io::BlogBrowsingDriver * const driver;
};

Blokkal::Ui::BrowseOptionWidget::BrowseOptionWidget( Blokkal::Io::BlogBrowsingDriver * driver, QWidget * parent ):
QWidget( parent ),
d( new Private( driver ) )
{
	setLayout( new QHBoxLayout( this ) );
	layout()->setMargin( 0 );
	layout()->setSpacing( KDialog::spacingHint() );
}

Blokkal::Ui::BrowseOptionWidget::~BrowseOptionWidget( void )
{
	delete d;
}

Blokkal::Io::BlogBrowsingDriver * Blokkal::Ui::BrowseOptionWidget::driver( void ) const
{
	return d->driver;
}

void Blokkal::Ui::BrowseOptionWidget::emitReloadRequested( void )
{
	emit reloadRequested( this );
}
