/***************************************************************************
 *   Copyright (C) 2006 by Martin Mller   *
 *   orvio@orvio.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "editaccountwidget.h"
#include "editaccountwidget.moc"

/**
 * @short This class is an implementation detail of @ref Blokkal::Ui::EditAccountWidget.
 *
 * This class is an implementation detail of @ref Blokkal::Ui::EditAccountWidget.
 * @author Martin Mller <orvio@orvio.de>
 */
class Blokkal::Ui::EditAccountWidget::Private {
public:
	/**
	 * Constructs a new object
	 */
	Private( void ) {}

	/**
	 * the account object
	 */
	Blokkal::Account * account;

	/**
	 * the protocol object
	 */
	Blokkal::Protocol * protocol;
};

Blokkal::Ui::EditAccountWidget::EditAccountWidget( Blokkal::Protocol * protocol, Blokkal::Account * account, QWidget * parent ):
QWidget( parent ),
d( new Private() )
{
	d->account = account;
	d->protocol = protocol;
}

Blokkal::Ui::EditAccountWidget::~EditAccountWidget( void )
{
	delete d;
}

Blokkal::Account * Blokkal::Ui::EditAccountWidget::account( void ) const
{
	return d->account;
}

Blokkal::Protocol * Blokkal::Ui::EditAccountWidget::protocol( void ) const
{
	return d->protocol;
}

