/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKAL_UiEDITENTRYVIEWFACTORY_H
#define BLOKKAL_UiEDITENTRYVIEWFACTORY_H

#include "../blokkalplugin.h"

namespace Blokkal {
class Entry;
class Blog;

namespace Ui {
class View;
/**
 * @short This class is the base for all plugins providing a view for editing entries.
 *
 * This class is the base for all plugins providing a view for editing entries.
 * Such a view displays an instance of @ref Blokkal::Ui::EditEntryWidget.
 * @author Martin Mueller <orvio@orvio.de>
 */
class BLOKKAL_EXPORT EditEntryViewFactory : public Blokkal::Plugin
{
Q_OBJECT
public:
	/**
	 * Creates a new EditEntryViewFactory object.
	 * @param parent owning object
	 * @param instance instance of the plugin
	 * @see Blokkal::Plugin
	 */
	EditEntryViewFactory( const KComponentData & instance, QObject * parent = 0 );

	/**
	 * Destroy this object
	 */
	virtual ~EditEntryViewFactory( void );

	/**
	 * Creates a view that edits this entry.
	 * @param entry edit this entry
	 */
	virtual Blokkal::Ui::View * createView( Blokkal::Entry * entry ) = 0;
};

}

}

#endif
