/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "entryextensionwidget.h"
#include "entryextensionwidget.moc"

#include "editentrywidget.h"

//#include <kdebug.h>

#include <QEvent>

class Blokkal::Ui::EntryExtensionWidget::Private {
public:
	Private( Entry * entry, EditEntryWidget * editEntryWidget ) :
	entry( entry ),
	editEntryWidget( editEntryWidget ) {}

	Entry * entry;
	EditEntryWidget * editEntryWidget;
};

Blokkal::Ui::EntryExtensionWidget::EntryExtensionWidget( Entry * entry, EditEntryWidget * parent ):
QWidget( parent ),
d( new Private( entry, parent ) )
{
}

Blokkal::Ui::EntryExtensionWidget::~EntryExtensionWidget( void )
{
	delete d;
}

Blokkal::Entry * Blokkal::Ui::EntryExtensionWidget::entry( void ) const
{
	return d->entry;
}

void Blokkal::Ui::EntryExtensionWidget::emitContentChanged( void )
{
	emit contentChanged( this );
}

void Blokkal::Ui::EntryExtensionWidget::postInit( void )
{
}

const Blokkal::Ui::EditEntryWidget * Blokkal::Ui::EntryExtensionWidget::editEntryWidget( void ) const
{
	return d->editEntryWidget;
}

bool Blokkal::Ui::EntryExtensionWidget::event( QEvent * event )
{
	/*kDebug() << metaObject()->className() << endl;
	kDebug() << event->type() << endl;*/
	switch( event->type() ) {
	case QEvent::Show:
	case QEvent::Hide:
	case QEvent::ShowToParent:
	case QEvent::HideToParent:
		emit visibilityChanged();
		break;
	default:
		break;
	}
	return QWidget::event( event );
}
