/***************************************************************************
 *   Copyright (C) 2006 - 2007 by Martin Mller                            *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKALUiGLOBALSETTINGS_H
#define BLOKKALUiGLOBALSETTINGS_H

#include <kwindowsystem.h>

#include "../blokkal_export.h"

class QWidget;

namespace Blokkal {
namespace Ui {
class GlobalSettingsPrivate;
/**
 * @short Stores global settings for the Blokkal and Blokkal::Ui namespaces.
 *
 * Stores global settings for the Blokkal and Blokkal::Ui namespaces.
 * @author Martin Mller <orvio@orvio.de>
 */
class BLOKKAL_EXPORT GlobalSettings
{
friend class GlobalSettingsPrivate;
public:
	/**
	 * Returns a pointer to the libblokkal settings object. If it does not exist
	 * yet it will be created.
	 *
	 * @return global libblokkal settings object
	 */
	static Blokkal::Ui::GlobalSettings * self( void );

	/**
	 * Sets the main widget that all dialogs in libblokkal
	 * should use.
	 * @param mainWidget
	 * the main widget
	 */
	void setMainWidget( QWidget * mainWidget );

	/**
	 * Returns the main widget for all dialogs.
	 * @return the main widget for all dialogs
	 */
	QWidget * mainWidget( void ) const;

	/**
	 * Returns the WId of the parent window of @ref mainWidget()
	 * @return WId for the main window
	 */
	WId mainWindowWId( void ) const;

private:
	GlobalSettings( void );
	~GlobalSettings( void );
};

}
}

#endif
