/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKAL_UiMEDIAINFOCOMBOBOX_H
#define BLOKKAL_UiMEDIAINFOCOMBOBOX_H

#include "semieditablecombobox.h"

#include "../blokkal_export.h"

namespace Blokkal {

namespace Ui {

/**
 * @short Presents current media player information.
 *
 * This combo box gathers "now playing" info from various players
 * and presents for easy selection. An editable entry for manual insertion
 * is also available.
 * @author Martin Mueller <orvio@orvio.de>
*/
class BLOKKAL_EXPORT MediaInfoComboBox : public SemiEditableComboBox
{
Q_OBJECT
public:
	/**
	 * Creates a new MediaInfoComboBox.
	 * @param parent parent widget
	 */
	MediaInfoComboBox( QWidget * parent = 0 );

	/**
	 * Destructor
	 */
	virtual ~MediaInfoComboBox( void );

public Q_SLOTS:
	/**
	 * This slot is called when an item is selected or reselected.
	 */
	virtual void repopulate( void );

private:
	class Private;
	Private * const d;
};

}

}

#endif
