/***************************************************************************
 *   Copyright (C) 2006 - 2007 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "secondarywindow.h"
#include "secondarywindow.moc"

#include "globalsettings.h"
#include <blokkalbehavioursettings.h>

#include <kapplication.h>

#include <QCloseEvent>

Blokkal::Ui::SecondaryWindow::SecondaryWindow( QWidget * parent, Qt::WindowFlags flags ) :
KXmlGuiWindow( parent, flags )
{
}

Blokkal::Ui::SecondaryWindow::~SecondaryWindow( void )
{}

void Blokkal::Ui::SecondaryWindow::closeEvent( QCloseEvent * event )
{
	if ( BehaviourSettings::showSystemTray() )
	{
		//->Code from KMainWindow
		// Save settings if auto-save is enabled, and settings have changed
		if ( settingsDirty() && autoSaveSettings() ) {
	      saveAutoSaveSettings();
		}
      if ( queryClose() ) {
	      event->accept();
      }
		else {
			event->ignore();
		}
      //<-Code from KMainWindow
	}
}
