/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKAL_UiSECONDARYWINDOW_H
#define BLOKKAL_UiSECONDARYWINDOW_H

#include <kxmlguiwindow.h>

#include "../blokkal_export.h"

namespace Blokkal {

namespace Ui {

/**
 * @short Base class for mainwindows that do not quit the application.
 *
 * This class has a custom implementation of closeEvent() that prevents
 * it from quiting the host application if a Blokkal::Ui::SystemTray is present.
 * @author Martin Mueller <orvio@orvio.de>
*/
class BLOKKAL_EXPORT SecondaryWindow : public KXmlGuiWindow
{
Q_OBJECT
public:
	/**
	 * Creates a new SecondaryWindow.
	 * @param parent parent widget
	 * @param flags widget flags
	 */
	SecondaryWindow( QWidget * parent = 0, Qt::WindowFlags flags=KDE_DEFAULT_WINDOWFLAGS );

	/**
	 * Destructor
	 */
	virtual ~SecondaryWindow( void );

protected:
	/**
	 * Reimplemented to keep entry windows from quiting the
	 * host application
	 * @param event the close event
	 */
	virtual void closeEvent( QCloseEvent * event );
};

}

}

#endif
