/***************************************************************************
 *   Copyright (C) 2007 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOKKALUTILS_H
#define BLOKKALUTILS_H

#include "blokkal_export.h"

class KUrl;
class QPixmap;

namespace Blokkal {
namespace Utils {
/**
 * This slot opens webpages depending on the mode set in the configuration
 * @param url url to open
 */
BLOKKAL_EXPORT void openWebpage( const KUrl & url );

/**
 * Makes @a pixmap grayer. This effect is usefull for icons representing
 * an offline account.
 * @param pixmap the pixmap
 * @return agrayer version @a pixmap
 */
BLOKKAL_EXPORT QPixmap fadePixmap( const QPixmap & pixmap );

class Private;
}
}

#endif
