/***************************************************************************
 *   Copyright (C) 2007 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "bloggerblog.h"
#include "bloggerblog.moc"

#include "bloggeraccount.h"
#include "bloggerentry.h"
#include "bloggerio/blogbrowsingdriver.h"

#include <blokkalblogconfig.h>

class Blogger::Blog::Private {
public:
	Private( const QString & url ) :
	url( url ),
	browsingDriver( 0 ) {}

	KUrl url;
	Io::BlogBrowsingDriver * browsingDriver;
};

Blogger::Blog::Blog( Blogger::Account * parentAccount,
                     const QString & id,
                     const QString & url,
                     const QString & title ):
Blokkal::Blog( parentAccount, id ),
d( new Private( url ) )
{
	setTitle( title );
	d->browsingDriver = new Io::BlogBrowsingDriver( this );
}

Blogger::Blog::~Blog( void )
{
	delete d;
}

KUrl Blogger::Blog::url( void ) const
{
	return d->url;
}

Blokkal::Entry * Blogger::Blog::createEntry( void )
{
	return new Blogger::Entry( this );
}

void Blogger::Blog::setUrl( const QString & url )
{
	d->url = url;
}

void Blogger::Blog::saveProperties( void )
{
	Blokkal::Blog::saveProperties();
	config()->writeEntry( "url", d->url.url() );
}

unsigned int Blogger::Blog::supportedFeatures( void ) const
{
	return FeatureText;
}

Blokkal::Io::BlogBrowsingDriver * Blogger::Blog::blogBrowsingDriver( void ) const
{
	return d->browsingDriver;
}
