/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOGGER_IOAPPKEYBLOGJOB_H
#define BLOGGER_IOAPPKEYBLOGJOB_H

#include "simpleblogjob.h"

namespace Blogger {

namespace Io {

/**
	@author Martin Mueller <orvio@orvio.de>
*/
class BLOGGER_EXPORT AppKeyBlogJob : public SimpleBlogJob
{
Q_OBJECT
public:
	/**
	 * Creates a new AppKeyBlogJob
	 * @param blog use information from this blog
	 * @param methodName call this method
	 * @param params parameters
	 * @param showProgressInfo TRUE to show progress info
	 */
	AppKeyBlogJob( Blogger::Blog * blog,
	               const QString & methodName,
	               const QList<QVariant> & params,
	               bool showProgressInfo = FALSE );

	/**
	 * Destructor
	 */
	virtual ~AppKeyBlogJob( void );

};

}

}

#endif
