/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOGGER_IOGETPOSTJOB_H
#define BLOGGER_IOGETPOSTJOB_H

#include "simpleaccountjob.h"

namespace Blogger {
class Blog;
class Entry;
namespace Io {

/**
	@author Martin Mueller <orvio@orvio.de>
*/
class BLOGGER_EXPORT GetPostJob : public SimpleAccountJob
{
Q_OBJECT
public:
	/**
	 * Creates a new GetPostJob.
	 * @param blog us the information of this blog
	 * @param id post id
	 * @param showProgressInfo TRUE to show progress info
	 */
	GetPostJob( Blogger::Blog * blog, const QString & id, bool showProgressInfo = FALSE );

	/**
	 * Destructor
	 */
	virtual ~GetPostJob( void );

	/**
	 * Returns the retrieved entry (if the operation was successfull)
	 * @return the retrieved entry
	 */
	Blogger::Entry * entry( void ) const;

private:
	class Private;
	Private * d;
};

}

}

#endif
