/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOGGER_IONEWPOSTJOB_H
#define BLOGGER_IONEWPOSTJOB_H

#include "appkeyblogjob.h"

namespace Blogger {
class Entry;

namespace Io {
/**
 * @short This Job calls the blogger.newPost method
 *
 * This Job calls the blogger.newPost method.
 * @author Martin Mueller <orvio@orvio.de>
 */
class BLOGGER_EXPORT NewPostJob : public AppKeyBlogJob
{
Q_OBJECT
public:
	/**
	 * Creates a new NewPostJob.
	 * @param entry posts this entry into the parent account
	 * @param showProgressInfo TRUE to show progress
	 */
	NewPostJob( Blogger::Entry * entry, bool showProgressInfo = FALSE );

	/**
	 * Destructor
	 */
	virtual ~NewPostJob( void );

};

}

}

#endif
