/***************************************************************************
 *   Copyright (C) 2007 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "simpleaccountjob.h"
#include "simpleaccountjob.moc"

#include "../bloggeraccount.h"

#include <kurl.h>

#include <qvariant.h>

class Blogger::Io::SimpleAccountJob::Private {
public:
	Private( void ) {}

	static QList<QVariant> createStandardArguments( const Blogger::Account * account,
	                                                const QList<QVariant> & params,
	                                                const QList<QVariant> & leadingParams = QList<QVariant>() )
	{
		QList<QVariant> paramList( leadingParams );
		paramList.append( account->userName() );
		paramList.append( account->password() );
		for( QList<QVariant>::ConstIterator it = params.begin();
		     it != params.end();
		     ++it )
		{
			paramList.append( *it );
		}

		return paramList;
	}
};

Blogger::Io::SimpleAccountJob::SimpleAccountJob( Blogger::Account * account,
                                                 const QString & methodName,
                                                 const QList<QVariant> & params,
                                                 unsigned int workArounds,
                                                 bool showProgressInfo ):
Blokkal::Io::XmlRpcJob( account->connectAddress(),
                        methodName,
                        Private::createStandardArguments( account, params ),
                        workArounds,
                        showProgressInfo ),
d( new Private() )
{
}

Blogger::Io::SimpleAccountJob::SimpleAccountJob( Blogger::Account * account,
                                                 const QString & methodName,
                                                 const QList< QVariant > & params,
                                                 const QList< QVariant > & leadingParams,
                                                 unsigned int workArounds,
                                                 bool showProgressInfo ):
Blokkal::Io::XmlRpcJob( account->connectAddress(),
                        methodName,
                        Private::createStandardArguments( account, params, leadingParams ),
                        workArounds,
                        showProgressInfo ),
d( new Private() )
{
}

Blogger::Io::SimpleAccountJob::~SimpleAccountJob( void )
{
	delete d;
	d = 0;
}

QList< QVariant > Blogger::Io::SimpleAccountJob::convertToList( const QVariant & data )
{
	QList<QVariant> list;
	list.append( data );
	return list;
}
