/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "simplepostjob.h"
#include "simplepostjob.moc"

#include "../bloggerentry.h"
#include "../bloggeraccount.h"

#include <blokkalblog.h>

#include <qvariant.h>

class Blogger::Io::SimplePostJob::Private {
public:
	Private( void ) {}
};

Blogger::Io::SimplePostJob::SimplePostJob( Blogger::Entry * entry,
                                           const QString & methodName,
                                           const QList< QVariant > & params,
                                           unsigned int workArounds,
                                           bool showProgressInfo ) :
SimpleAccountJob( dynamic_cast< Blogger::Account * >( entry->blog()->account() ),
                  methodName,
                  params,
                  convertToList( entry->id() ),
                  workArounds,
                  showProgressInfo ),
d( new Private() )
{
}

Blogger::Io::SimplePostJob::SimplePostJob( Blogger::Entry * entry,
                                           const QString & methodName,
                                           const QList< QVariant > & params,
                                           const QList< QVariant > & leadingParams,
                                           unsigned int workArounds,
                                           bool showProgressInfo ) :
SimpleAccountJob( dynamic_cast< Blogger::Account * >( entry->blog()->account() ),
                  methodName,
                  params,
                  leadingParams + convertToList( entry->id() ),
                  workArounds,
                  showProgressInfo ),
d( new Private() )
{
}

Blogger::Io::SimplePostJob::~SimplePostJob( void )
{
	delete d;
	d = 0;
}
