/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "bloggerprotocol.h"
#include "bloggerprotocol.moc"

#include "bloggeraccount.h"
#include "bloggerui/editaccountwidget.h"

#include <blokkalaccount.h>

Blogger::Protocol::Protocol( const KComponentData & instance, QObject * parent ):
Blokkal::Protocol( instance, parent )
{
}

Blogger::Protocol::~Protocol( void )
{
}

Blokkal::Ui::EditAccountWidget * Blogger::Protocol::createEditAccountWidget( Blokkal::Account * account, QWidget * parent )
{
	return new Blogger::Ui::EditAccountWidget( this, account, parent );
}

Blokkal::Account * Blogger::Protocol::createAccount( const QString & accountName )
{
	return new Blogger::Account( this, accountName );
}

QString Blogger::Protocol::appKey( void )
{
	return QString::fromLatin1( "0123456789ABCDEF" );
}
