/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "editaccountwidget.h"
#include "editaccountwidget.moc"

#include "../bloggeraccount.h"
#include "../bloggerprotocol.h"

#include <klineedit.h>
#include <kcombobox.h>
#include <kdialog.h>
#include <klocale.h>

#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>

class Blogger::Ui::EditAccountWidget::Private {
public:
	Private( void ) {}
};

Blogger::Ui::EditAccountWidget::EditAccountWidget( Blogger::Protocol * protocol, Blokkal::Account * account, QWidget * parent ) :
Blokkal::Ui::GenericEditAccountWidget( protocol, account, parent ),
d( new Private() )
{
}

Blogger::Ui::EditAccountWidget::~EditAccountWidget( void )
{
	delete d;
	d = 0;
}

void Blogger::Ui::EditAccountWidget::setServerAddress( const QString & serverName )
{
	if( useStandardAddressCheckBox()->isChecked() ) {
		if( serverName.isEmpty() ) {
			connectAddressLineEdit()->setText( 0 );
		}
		else {
			connectAddressLineEdit()->setText( "http://" + serverName + "/api/RPC2" );
		}
	}
}
