/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef BLOGGER_UIEDITACCOUNTWIDGET_H
#define BLOGGER_UIEDITACCOUNTWIDGET_H

#include "../blogger_export.h"

#include <blokkalui/genericeditaccountwidget.h>

namespace Blogger {
class Protocol;
namespace Ui {

/**
 * @short Widget for editing Blogger 1.0 accounts
 *
 * Widget for editing Blogger 1.0 accounts
 * @author Martin Mueller <orvio@orvio.de>
*/
class BLOGGER_EXPORT EditAccountWidget : public Blokkal::Ui::GenericEditAccountWidget
{
Q_OBJECT
public:
	/**
	 * Creates a new widget for editing Blogger::Account objects.
	 * @param protocol owning protocol
	 * @param account account to edit, 0 to create a new account
	 * @param parent parent widget
	 */
	EditAccountWidget( Blogger::Protocol * protocol,
	                   Blokkal::Account * account,
	                   QWidget * parent = 0 );
	/**
	 * Destructor
	 */
	virtual ~EditAccountWidget( void );

protected slots:
	/**
	 * This slot is called whenever the content of the server name
	 * widget changes.
	 *
	 * @param serverName the new server name
	 */
	virtual void setServerAddress( const QString & serverName );

private:
	class Private;
	Private * d;

};

}

}

#endif
