/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "entryextensionwidget1.h"
#include "entryextensionwidget1.moc"

#include "../bloggerentry.h"

#include <kdialog.h>
#include <kdebug.h>
#include <klocale.h>

#include <qcheckbox.h>
#include <qlayout.h>

#include <iostream>

class Blogger::Ui::EntryExtensionWidget1::Private {
public:
	Private( void ) :
	entry( 0 ) {}

	Blogger::Entry * entry;
	QCheckBox * publishCheckBox;
	QHBoxLayout * mainLayout;
};

Blogger::Ui::EntryExtensionWidget1::EntryExtensionWidget1( Blokkal::Entry * entry, Blokkal::Ui::EditEntryWidget * parent ):
EntryExtensionWidget( entry, parent ),
d( new Private(  ) )
{
	d->entry = dynamic_cast<Blogger::Entry*>( entry );
	if( !d->entry ) {
		kWarning() << k_funcinfo << "widget not for a Blogger::Entry!" << endl;
		return;
	}	
	
	d->mainLayout = new QHBoxLayout( this );
	d->mainLayout->setMargin( 0 );
	d->publishCheckBox = new QCheckBox( i18n( "&Publish" ), this );
	d->mainLayout->addWidget( d->publishCheckBox );
	d->mainLayout->addStretch();

	rollBack();
	
	connect( d->publishCheckBox,
	         SIGNAL( toggled( bool ) ),
	         SLOT( emitContentChanged( void ) ) );
}

Blogger::Ui::EntryExtensionWidget1::~EntryExtensionWidget1( void )
{
	delete d;
}

void Blogger::Ui::EntryExtensionWidget1::rollBack( void )
{
	if( !entry()->id().isNull() ) {
		d->publishCheckBox->setChecked( d->entry->isPublish() );
	}
	else {
		d->publishCheckBox->setChecked( TRUE );
	}
	
}

void Blogger::Ui::EntryExtensionWidget1::apply( void )
{
	d->entry->setPublish( d->publishCheckBox->isChecked() );
}
