/***************************************************************************
 *   Copyright (C) 2008 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "gprotocol.h"
#include "gprotocol.moc"

#include "gaccount.h"
#include "gui/editaccountwidget.h"

#include <blokkalaccount.h>

#include <kpluginfactory.h>

K_PLUGIN_FACTORY( GProtocolFactory, registerPlugin<G::Protocol>(); )
K_EXPORT_PLUGIN( GProtocolFactory("blokkal_gdata") )
;

G::Protocol::Protocol( QObject * parent, const QVariantList & /*args*/ )  :
Blokkal::Protocol( GProtocolFactory::componentData(), parent )
{
}

G::Protocol::~Protocol( void )
{
}

Blokkal::Ui::EditAccountWidget * G::Protocol::createEditAccountWidget( Blokkal::Account * account, QWidget * parent )
{
	return new G::Ui::EditAccountWidget( this, account, parent );
}

Blokkal::Account * G::Protocol::createAccount( const QString & accountId )
{
	return new G::Account( this, accountId );
}
