/***************************************************************************
 *   Copyright (C) 2008 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef G_UIBROWSEOPTIONWIDGET_H
#define G_UIBROWSEOPTIONWIDGET_H

#include <blokkalui/browseoptionwidget.h>

namespace G {
namespace Io {
class BlogBrowsingDriver;
}
namespace Ui {

/**
 * @a short Widget for loading entries with a search query
 *
 * Widget for loading entries with a search query
 * @author Martin Mueller <orvio@orvio.de>
 */
class LoadQueryWidget : public Blokkal::Ui::BrowseOptionWidget
{
Q_OBJECT
public:
	/**
	 * Constructor.
	 * @param driver the driver to be used by this widget
	 * @param parent the parent widget
	 */
	LoadQueryWidget( G::Io::BlogBrowsingDriver * driver, QWidget * parent = 0 );
	virtual ~LoadQueryWidget( void );

	/**
	 * Creates and returns a LoadEntryJob configured to load
	 * entries according to the current content of the widget.
	 * @return a LoadEntryJob
	 */
	virtual Blokkal::Io::LoadEntryJob * createLoadEntryJob( void );

private:
	class Private;
	Private * const d;
};

}

}

#endif
