/***************************************************************************
 *   Copyright (C) 2008 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "entryextensionwidget1.h"
#include "entryextensionwidget1.moc"

#include "../gentry.h"

#include <klocale.h>

#include <QCheckBox>
#include <QLayout>

class G::Ui::EntryExtensionWidget1::Private {
public:
	Private( G::Entry * entry ):
	entry( entry ),
	publishCheckBox( 0 ){}

	G::Entry * const entry;
	QCheckBox * publishCheckBox;
};

G::Ui::EntryExtensionWidget1::EntryExtensionWidget1( G::Entry * entry, Blokkal::Ui::EditEntryWidget * parent ):
Blokkal::Ui::EntryExtensionWidget( entry, parent ),
d( new Private( entry ) )
{
	QHBoxLayout * const layout = new QHBoxLayout( this );
	setLayout( layout );
	d->publishCheckBox = new QCheckBox( i18n( "Publish" ), this );
	layout->addWidget( d->publishCheckBox );
	layout->addStretch(1);

	rollBack();

	connect( d->publishCheckBox,
	         SIGNAL( toggled( bool ) ),
	         SLOT( emitContentChanged( void ) ) );
}

G::Ui::EntryExtensionWidget1::~EntryExtensionWidget1( void )
{
	delete d;
}

void G::Ui::EntryExtensionWidget1::rollBack( void )
{
	d->publishCheckBox->setChecked( !d->entry->isDraft() );
}

void G::Ui::EntryExtensionWidget1::apply( void )
{
	d->entry->setDraft( !d->publishCheckBox->isChecked() );
}
