/***************************************************************************
 *   Copyright (C) 2008 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef G_UIENTRYEXTENSIONWIDGET1_H
#define G_UIENTRYEXTENSIONWIDGET1_H

#include <blokkalui/entryextensionwidget.h>

namespace G {
class Entry;
namespace Ui {

class EntryExtensionWidget1 : public Blokkal::Ui::EntryExtensionWidget
{
Q_OBJECT
public:
	/**
	 * Constructor
	 * @param entry the entry this widget will manipulate
	 * @param parent the parent widget, in this case the EditEntryWidget
	 */
	EntryExtensionWidget1( G::Entry * entry, Blokkal::Ui::EditEntryWidget * parent );

	/**
	 * Destructor
	 */
    virtual ~EntryExtensionWidget1( void );

public Q_SLOTS:
	/**
	 * Reimplement this slot to set the content of your widget
	 * to reflect the data in the Entry object
	 */
	virtual void rollBack( void );

	/**
	 * Reimplement this slot to update the Entry object to
	 * the data in the widget
	 */
	virtual void apply( void );

private:
	class Private;
	Private * const d;
};

}

}

#endif
