/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mller                            *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "livejournalprotocol.h"
#include "livejournalprotocol.moc"

#include "livejournalaccount.h"
#include "ui/ljeditaccountwidget.h"
#include "ui/ljformattingbackend.h"

#include <blokkalaccountmanager.h>

#include <kpluginfactory.h>

K_PLUGIN_FACTORY( LJProtocolFactory, registerPlugin<LiveJournalProtocol>(); )
K_EXPORT_PLUGIN( LJProtocolFactory("blokkal_livejournal") )
;

LiveJournalProtocol::LiveJournalProtocol( QObject * parent, const QVariantList & /*args*/ ) :
Blokkal::Protocol( LJProtocolFactory::componentData(), parent )
{
}

LiveJournalProtocol::~LiveJournalProtocol( void ) {
}

Blokkal::Account * LiveJournalProtocol::createAccount( const QString & accountName )
{
	return new LiveJournalAccount( this, accountName );
}

Blokkal::Ui::EditAccountWidget * LiveJournalProtocol::createEditAccountWidget( Blokkal::Account * account, QWidget * parent )
{
	return new LJ::UI::EditAccountWidget( this, account, parent );
}

Blokkal::Ui::FormattingBackend * LiveJournalProtocol::createFormattingBackend( Blokkal::Ui::EditEntryWidget * widget )
{
	return new LJ::UI::FormattingBackend( this, widget );
}
