/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "checkfriendsjob.h"
#include "checkfriendsjob.moc"

class LJ::IO::CheckFriendsJob::Private
{
public:
	Private( void ) {}
	QString lastUpdate;
	qulonglong groupMask;
};

LJ::IO::CheckFriendsJob::CheckFriendsJob( const LiveJournalAccount * account,
                                          const QString & lastUpdate,
                                          unsigned long groupMask,
                                          QObject * parent ):
Job( account, parent ),
d( new Private() )
{
	d->lastUpdate = lastUpdate;
	d->groupMask = groupMask;
}

LJ::IO::CheckFriendsJob::~CheckFriendsJob( void )
{
	delete d;
}

QString LJ::IO::CheckFriendsJob::lastUpdate( void ) const
{
	return getValueOfKey( "lastupdate" );
}

bool LJ::IO::CheckFriendsJob::hasUpdates( void ) const
{
	bool updates = FALSE;
	QString value;
	value = getValueOfKey( "new" );
	if( !value.isNull() && value.toInt() == 1 ) {
		updates = TRUE;
	}
	return updates;
}

long LJ::IO::CheckFriendsJob::interval( void ) const
{
	long interval = 0;
	QString value;
	value = getValueOfKey( "interval" );
	if( !value.isNull() ) {
		interval = value.toLong();
	}
	return interval;
}

QByteArray LJ::IO::CheckFriendsJob::postData( void ) const
{
	return "mode=checkfriends&lastupdate=" + d->lastUpdate.toAscii() + QByteArray( "&mask=" )	+ QByteArray::number( d->groupMask );
}
