/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LJ_IOGETDAYCOUNTSJOB_H
#define LJ_IOGETDAYCOUNTSJOB_H

#include "job.h"
#include <QMap>

class LiveJournalBlog;
class QDate;

namespace LJ {
namespace IO {

/**
 * @short Retrieves the daycounts.
 *
 * Retrieves the daycounts.
 * @author Martin Mueller <orvio@orvio.de>
*/
class GetDayCountsJob : public LJ::IO::Job
{
Q_OBJECT
public:
	/**
	 * Creates a new GetDayCountsJob.
	 * @param blog get daycounts for this blog
	 * @param parent parent object
	 */
	GetDayCountsJob( const LiveJournalBlog * blog, QObject * parent = 0 );
	virtual ~GetDayCountsJob( void );

	/**
	 * Returns a map with the daycounts
	 */
	QMap< QDate, QStringList > dayCounts( void ) const;

protected:
	/**
	 * Returns the job specific postdata.
	 * @return the job specific postdata
	 */
	virtual QByteArray postData( void ) const ;

private:
	class Private;
	Private * d;
};

}

}

#endif
