/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mller                            *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LJ_IOGETFRIENDGROUPSJOB_H
#define LJ_IOGETFRIENDGROUPSJOB_H

#include "job.h"
namespace LJ{
namespace IO {
/**
 * @short This class fetches the friendgroups from the server.
 *
 * This class fetches the friendgroups from the server.
 * @author Martin Mller <orvio@orvio.de>
*/
class GetFriendGroupsJob : public LJ::IO::Job
{
Q_OBJECT
public:
	/**
	 * Constructs a new GetFriendGroupsJob
	 * @param account use the user information of this account
	 * @param parent parent object
	 */
	GetFriendGroupsJob( const LiveJournalAccount * account , QObject * parent = 0 );
	virtual ~GetFriendGroupsJob( void );

protected:
	/**
	* @return the postdata needed for this job.
	*/
	virtual QByteArray postData( void ) const;
	
	/**
	 * This method is called when the io job has finished without io
	 * error and the success value indicates a successfull query
	 */
	virtual void ioJobFinished( void );
};

}
}
#endif
