/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LJ_IOGETUSERTAGSJOB_H
#define LJ_IOGETUSERTAGSJOB_H

#include "job.h"

class LiveJournalBlog;

namespace LJ {
namespace IO {

/**
 * @short Retrieves usertags.
 *
 * Retrieves usertags.
 * @author Martin Mueller <orvio@orvio.de>
*/
class GetUserTagsJob : public LJ::IO::Job
{
Q_OBJECT
public:
	/**
	 * Creates a new GetUserTagsJob.
	 * @param blog get tags for this blog
	 * @param parent parent object
	 */
	GetUserTagsJob( const LiveJournalBlog * blog, QObject * parent = 0 );
	virtual ~GetUserTagsJob( void );

protected:
	/**
	 * Returns the job specific postdata.
	 * @return the job specific postdata
	 */
	virtual QByteArray postData( void ) const ;
	
	/**
	 * This method is called when the io job has finished without io
	 * error and the success value indicates a successfull query
	 */
	virtual void ioJobFinished( void );
	
private:
	class Private;
	Private * const d;
};

}

}

#endif
