/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LJ_IOPOSTENTRYJOB_H
#define LJ_IOPOSTENTRYJOB_H

#include "job.h"

namespace LJ {
class Entry;
namespace IO {

/**
 * @short This class provides a simple interface to post entries to the server.
 *
 * This class provides a simple interface to post entries to the server.
 * @author Martin Mueller <orvio@orvio.de>
 */
class PostEntryJob : public LJ::IO::Job
{
Q_OBJECT
public:
	/**
	 * Creates a new PostEntryJob.
	 * @param entry post this entry
	 * @param account use the authentication information from this account
	 * @param parent the owning object
	 */
	PostEntryJob( const LJ::Entry * entry , const LiveJournalAccount * account, QObject * parent = 0 );
   virtual ~PostEntryJob( void );

protected:
	/**
	 * Returns the required postdata for a login job
	 * @return login job postdata
	 */
	virtual QByteArray postData( void ) const;

private:
	class Private;
	Private * d;
};

}

}

#endif
