/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LJ_UILJENTRYEXTENSIONWIDGET2_H
#define LJ_UILJENTRYEXTENSIONWIDGET2_H

#include <blokkalui/entryextensionwidget.h>

namespace LJ {

namespace UI {

/**
 * @short Extends the EditEntryWidget to support LJ specific features
 *
 * Extends the EditEntryWidget to support LJ specific features
 * @author Martin Mueller <orvio@orvio.de>
*/
class EntryExtensionWidget2 : public Blokkal::Ui::EntryExtensionWidget
{
Q_OBJECT
public:
	/**
	 * Constructor
	 * @param entry the entry this widget will manipulate
	 * @param parent the parent widget, in this case the EditEntryWidget
	 */		
	EntryExtensionWidget2( Blokkal::Entry * entry, Blokkal::Ui::EditEntryWidget * parent );

	/**
	 * Destructor
	 */
	virtual ~EntryExtensionWidget2( void );

	/**
	 * Sets the visibility of the group selector appropriately to inital values
	 */
	virtual void postInit( void );

public slots:
	/**
	 * Reimplement this slot to set the content of your widget
	 * to reflect the data in the Entry object
	 */
	virtual void rollBack( void );

	/**
	 * Reimplement this slot to update the Entry object to
	 * the data in the widget
	 */
	virtual void apply( void );

protected slots:
	/**
	 * This slot checks whether the friend group selector
	 * should be shown and sets the visibility appropriately
	 */
	virtual void updateGroupListVisibility( void );
	
private:
	class Private;
	Private * d;

};

}

}

#endif
