/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "ljsecurityselector.h"
#include "ljsecurityselector.moc"

#include "../ljentry.h"

#include <blokkalblog.h>
#include <blokkalaccount.h>

#include <klocale.h>
#include <kiconloader.h>

LJ::UI::SecuritySelector::SecuritySelector( LJ::Entry * entry, QWidget * parent ) :
KComboBox( parent )
{
	if( !entry ) {
		return;
	}
	
	addItem( SmallIcon( "blokkal_global" ), i18n( "Public" ) );
	addItem( SmallIcon( "blokkal_lj_friendsonly" ), i18n( "Friends" ) );
	
	if( entry->blog()->id() == entry->blog()->account()->userName() ) {
		addItem( SmallIcon( "blokkal_lj_private" ), i18n( "Private" ) );
		addItem( SmallIcon( "blokkal_lj_customsecurity" ), i18n( "Custom" ) );
	}
	
	setCurrentItem( 0 );
}

LJ::UI::SecuritySelector::~SecuritySelector( void )
{}

LJ::Entry::SecurityLevel LJ::UI::SecuritySelector::currentLevel( void )
{
	switch( currentIndex() ) {
	case 0:
		return LJ::Entry::PublicLevel;
		break;
	case 1:
		return LJ::Entry::FriendsOnlyLevel;
		break;
	case 2:
		return LJ::Entry::PrivateLevel;
		break;
	case 3:
		return LJ::Entry::CustomLevel;
		break;
	};

	return LJ::Entry::PrivateLevel;
}

void LJ::UI::SecuritySelector::setCurrentLevel( LJ::Entry::SecurityLevel newLevel )
{
	switch( newLevel ) {
	case LJ::Entry::PublicLevel:
		setCurrentIndex( 0 );
		break;
	case LJ::Entry::FriendsOnlyLevel:
		setCurrentIndex( 1 );
		break;
	case LJ::Entry::PrivateLevel:
		setCurrentIndex( 2 );
		break;
	case LJ::Entry::CustomLevel:
		setCurrentIndex( 3 );
		break;
	}
	
}
