/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "mwaaccount.h"
#include "mwaaccount.moc"

#include "mwaprotocol.h"
#include "mwablog.h"

#include <blokkalaccountconfig.h>

class Mwa::Account::Private {
public:
	Private( void ) {}
};

Mwa::Account::Account( Mwa::Protocol * protocol, const QString & accountName ) :
Blogger::Account( protocol, accountName ),
d( new Private() )
{
}

Mwa::Account::~Account( void )
{
	delete d;
	d = 0;
}

Blogger::Blog * Mwa::Account::createBlog( const QString & id, const QString & url, const QString & title )
{
	return new Mwa::Blog( this, id, url, title );
}

void Mwa::Account::setProvider( const QString & provider )
{
	config()->writeEntry( "provider", provider );
}

QString Mwa::Account::provider( void ) const
{
	return config()->readEntry( "provider", QString::null );
}

void Mwa::Account::setActiveWorkArounds( unsigned int workArounds )
{
	config()->writeEntry( "workarounds", workArounds );
}

unsigned int Mwa::Account::activeWorkArounds( void ) const
{
	return config()->readUIntEntry( "workarounds" );
}
