/***************************************************************************
 *   Copyright (C) 2006 by Martin Mueller                                  *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MWA_IOGETCATEGORIESJOB_H
#define MWA_IOGETCATEGORIESJOB_H

#include <bloggerio/simpleblogjob.h>

namespace Mwa {
class Blog;
namespace Io {

/**
 * @short A job that fetches and updates the categories for a Mwa::Blog
 *
 * A job that fetches and updates the categories for a Mwa::Blog
 * @author Martin Mueller <orvio@orvio.de>
*/
class GetCategoriesJob : public Blogger::Io::SimpleBlogJob
{
Q_OBJECT
public:
	/**
	 * Creates a new GetCategoriesJob.
	 * The job fill fetch the category list from the server and will uddate
	 * the local directory accoringly.
	 * @param blog fetch the categories for this blog
	 */
	GetCategoriesJob( Mwa::Blog * blog );

	/**
	 * Destructor
	 */
	virtual ~GetCategoriesJob( void );

protected:
	/**
	 * Overridden to set categories.
	 */	
	virtual void jobFinished( void );

private:
	class Private;
	Private * d;
};

}

}

#endif
