/***************************************************************************
*   Copyright (C) 2007 - 2008 by Martin Mueller                            *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MWAGETPOSTJOB_H
#define MWAGETPOSTJOB_H

#include <bloggerio/simpleaccountjob.h>

namespace Mwa {
class Blog;
class Entry;
namespace Io {
/**
 * @short Loads a specific entry
 *
 * Loads a specific entry.
 * @author Martin Mueller <orvio@orvio.de>
*/
class GetPostJob : public Blogger::Io::SimpleAccountJob
{
Q_OBJECT
public:
	/**
	 * Creates a new GetPostJob
	 * @param blog use the information of this blog
	 * @param id load the entry with this id
	 * @param showProgressInfo TRUE to show progress info
	 */
	GetPostJob( Mwa::Blog * blog, const QString & id, bool showProgressInfo = FALSE );

	/**
	 * Destructor
	 */
	virtual ~GetPostJob( void );

	/**
	 * Returns the downloaded entry, if the operation was successfull.
	 * @return the downloaded entry
	 */
	Mwa::Entry * entry( void ) const;

private:
	class Private;
	Private * const d;

};

}

}

#endif
