/***************************************************************************
 *   Copyright (C) 2007 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MWA_IOGETRECENTPOSTSJOB_H
#define MWA_IOGETRECENTPOSTSJOB_H

#include <bloggerio/simpleblogjob.h>

namespace Mwa {
class Blog;
class Entry;
namespace Io {

/**
 * @short Fetches the most recent entries from the server
 *
 * Fetches the most recent entries from the server
 * @author Martin Mueller <orvio@orvio.de>
*/
class GetRecentPostsJob : public Blogger::Io::SimpleBlogJob
{
Q_OBJECT
public:
	/**
	 * Creates a new GetRecentPostsJob.
	 * @param blog use the information of this blog
	 * @param int n the number of entries to fetch
	 * @param showProgressInfo TRUE to show progress info
	 */
	GetRecentPostsJob( Mwa::Blog * blog, int n, bool showProgressInfo = FALSE );

	/**
	 * Destructor
	 */
   virtual ~GetRecentPostsJob( void );

	/**
	 * Returns the retrieved entries.
	 * @return the retrieved entries
	 */
	QList<Mwa::Entry*> entries( void ) const;

private:
	class Private;
	Private * const d;

};

}

}

#endif
