/***************************************************************************
 *   Copyright (C) 2006 - 2008 by Martin Mueller                           *
 *   orvio@orvio.de                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MTPROTOCOL_H
#define MTPROTOCOL_H

#include <mwaprotocol.h>

#include <QtCore/QVariant>

namespace Mt {

/**
 * @short Protocol class for the commnication through the Movable Type API.
 *
 * Protocol class for the commnication through the Movable Type API.
 * @author Martin Mueller <orvio@orvio.de>
*/
class Protocol : public Mwa::Protocol
{
Q_OBJECT
public:
	/**
	 * Creates a new Protocol object.
	 * @param parent the owning object
	 * @param args arguments
	 */
	Protocol( QObject * parent, const QVariantList & args );

	/**
	 * Destructor
	 */
	virtual ~Protocol( void );

	/**
	 * This method returns a pointer to an @ref Blokkal::UI::EditAccountWidget
	 * used for editing the account @a account.
	 * @param account the account this widget should edit. If 0, this widget is used to create a new account.
	 * @param parent The designated parent widget.
	 * @return a widget for editing the properties of an account.
	 */
	virtual Blokkal::Ui::EditAccountWidget * createEditAccountWidget( Blokkal::Account * account = 0, QWidget * parent = 0 );

	/**
	 * Creates an @ref Blokkal::Account object.
	 * @param accountName the name of the new account
	 * @return a new account object
	 */
	virtual Blokkal::Account * createAccount( const QString & accountName = 0 );
	

};

}

#endif
